SM2Engine.Mode (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.engines

## Enum SM2Engine.Mode

- java.lang.Object
- - java.lang.Enum<SM2Engine.Mode>
  - - org.bouncycastle.crypto.engines.SM2Engine.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SM2Engine.Mode>
  Enclosing class:
    SM2Engine

      public static enum SM2Engine.Mode
      extends java.lang.Enum<SM2Engine.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C1C2C3`
    `C1C3C2`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SM2Engine.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SM2Engine.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### C1C2C3

          public static final SM2Engine.Mode C1C2C3

    - #### C1C3C2

          public static final SM2Engine.Mode C1C3C2

  - ### Method Detail

    - #### values

          public static SM2Engine.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SM2Engine.Mode c : SM2Engine.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SM2Engine.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null